Skip to main content
GET
/
v1
/
bot
/
email
/
stats
Get Email Stats
curl --request GET \
  --url https://api.boostgpt.co/v1/bot/email/stats \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.boostgpt.co/v1/bot/email/stats"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.boostgpt.co/v1/bot/email/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "timeRange": "<string>",
  "stats": {
    "total": 123,
    "inbound": 123,
    "outbound": 123,
    "unread": 123,
    "processed": 123,
    "failed": 123
  }
}

Authorizations

Authorization
string
header
required

Enter your API key

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

timeRange
string
default:30d

Time range (e.g., '7d', '30d')

includeTimeSeries
boolean
default:false

Include time series data

Response

200 - application/json

Email statistics

timeRange
string
stats
object